# PXMLRPCServerParms Class Reference

`#include <pxmlrpcs.h>`

Inheritance diagram for PXMLRPCServerParms:

List of all members.

## Public Member Functions

| PXMLRPCServerParms (PXMLRPCServerResource &res, PXMLRPCBlock &req)
void | SetFault (PINDEX code, const PString &text)

## Public Attributes

PXMLRPCServerResource & | resource
PXMLRPCBlock & | request
PXMLRPCBlock | response

## Constructor & Destructor Documentation

PXMLRPCServerParms::PXMLRPCServerParms | ( | PXMLRPCServerResource & | res,
|  | PXMLRPCBlock & | req |
| ) |  |  | `[inline]`

## Member Function Documentation

void PXMLRPCServerParms::SetFault | ( | PINDEX | code,
|  | const PString & | text |
| ) |  |  | `[inline]`

## Member Data Documentation

PXMLRPCBlock& PXMLRPCServerParms::request

PXMLRPCServerResource& PXMLRPCServerParms::resource

PXMLRPCBlock PXMLRPCServerParms::response

The documentation for this class was generated from the following file:

- pxmlrpcs.h